Subject: Re: bug#2346: 23.0.90; When starting emacs as a server, keybindings are different.

From: Alan J Third <[email-masked]>
Date: Sun, 10 Jan 2016 23:05:29 +0000

Johannes Rauh <[email-masked]> writes:

> I am running emacs 23.0.90 as a server on a ThinkPad T 43. The ThinkPad
> has two additional keys next to the arrow keys which emacs recognizes as
> f19 and f20. I use them to switch the buffer. The last two lines of my
> .emacs file are:
>
> (global-set-key [f19] 'previous-buffer)
> (global-set-key [f20] 'next-buffer)
>
> This works fine when I start emacs as a seperate process. However, if I
> use emacsclient -c, then f19 is bound correctly, but f20 is bound to
> clipboard-kill-region.

Hi Johannes, I'm sorry it's taken so long for someone to respond to
this, but I suspect it's something we'll struggle to reproduce since
it's specific to some hardware that now must be over seven years old.

I'm going to close this bug report as unreproducable, but if it's still
a problem for you please let me know and I can reopen it.
-- 
Alan Third